VERSION 5.00
Object = "{B54C3C01-5F7C-11D0-B191-444553540000}#1.0#0"; "ZLIBOCX.OCX"
Begin VB.Form mainform 
   Caption         =   "Compress/Decompress Tester"
   ClientHeight    =   6645
   ClientLeft      =   3720
   ClientTop       =   2625
   ClientWidth     =   5550
   Icon            =   "zlibtest.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6645
   ScaleWidth      =   5550
   Begin ZLIBOCXLib.ZLibOCX ZLiB 
      Height          =   315
      Left            =   900
      TabIndex        =   7
      Top             =   60
      Width           =   3495
      _Version        =   65537
      _ExtentX        =   6165
      _ExtentY        =   556
      _StockProps     =   0
   End
   Begin VB.CommandButton cmdCompress 
      Caption         =   "Process"
      Height          =   345
      Left            =   4530
      TabIndex        =   6
      Top             =   60
      Width           =   975
   End
   Begin VB.TextBox txtDecompressed 
      BackColor       =   &H00E0E0E0&
      Height          =   1875
      Left            =   30
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   2
      Text            =   "zlibtest.frx":0ABA
      Top             =   4710
      Width           =   5475
   End
   Begin VB.TextBox txtCompressed 
      BackColor       =   &H00E0E0E0&
      Height          =   1875
      Left            =   30
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Text            =   "zlibtest.frx":0AC6
      Top             =   2580
      Width           =   5475
   End
   Begin VB.TextBox txtOriginal 
      Height          =   1875
      Left            =   30
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Text            =   "zlibtest.frx":0AD2
      Top             =   420
      Width           =   5475
   End
   Begin VB.Label Label1 
      Caption         =   "De-Compressed"
      Height          =   255
      Index           =   2
      Left            =   30
      TabIndex        =   5
      Top             =   4470
      Width           =   1155
   End
   Begin VB.Label Label1 
      Caption         =   "Compressed"
      Height          =   255
      Index           =   1
      Left            =   30
      TabIndex        =   4
      Top             =   2340
      Width           =   945
   End
   Begin VB.Label Label1 
      Caption         =   "Before"
      Height          =   285
      Index           =   0
      Left            =   30
      TabIndex        =   3
      Top             =   180
      Width           =   765
   End
End
Attribute VB_Name = "mainform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCompress_Click()
    Dim InLen As Long
    Dim OutLen As Long
    Dim ResLen As Long
    Dim InStrg As String
    Dim OutStr As String
    Dim i As Integer
    
    InStrg = txtOriginal.Text
    InLen = Len(InStrg)
    OutLen = 12 + (InLen * 1.1)
    ReDim inbuf(InLen) As Byte
    ReDim outbuf(OutLen) As Byte
    
    ' copy string into bin buffer
    For i = 1 To InLen
        If (i / 10) = 0 Then
            ZLiB.Percent = (i / InLen) * 100
        End If
        inbuf(i - 1) = Asc(Mid$(InStrg, i, 1))
    Next
    ResLen = ZLiB.DoCompress(inbuf, InLen, outbuf, OutLen, 9)
    OutStr = ""
    For i = 1 To ResLen
        If (i / 10) = 0 Then
            ZLiB.Percent = (i / ResLen) * 100
        End If
        OutStr = OutStr + Chr$(outbuf(i - 1))
    Next
    For i = 1 To InLen
        If (i / 10) = 0 Then
            ZLiB.Percent = (i / InLen) * 100
        End If
        inbuf(i) = 65
    Next
    txtCompressed.Text = OutStr
    ResLen = ZLiB.DoDecompress(outbuf, OutLen, inbuf, InLen)
    OutStr = ""
    For i = 1 To ResLen
        If (i / 10) = 0 Then
            ZLiB.Percent = (i / ResLen) * 100
        End If
        OutStr = OutStr + Chr$(inbuf(i - 1))
    Next
    ZLiB.Percent = 0
    txtDecompressed.Text = OutStr

End Sub






